- Tax Payment Batches
- List batches
Tax Payment Batches
List batches
List the batches of a firm, optionally filtered by your external id.
GET
/v1/firms/{firmId}/tax-payment-batches
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
firmId
required
string
Unique identifier of the firm.
externalId
string
Filter by your system's identifier.
pageNumber
integer
Page to retrieve, starting at 1.
pageSize
integer
Items per page.
x-api-key
required
string
API key of your Client Application.
Response
application/json
200
400
401
403
404
OK
items
required
array
Array of tax payment batch objects.
totalCount
required
integer
Total number of batches matching the query.
totalPages
required
integer
Total number of pages.
currentPage
integer
The current page number.
pageSize
integer
The page size.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'